{% extends "bases/modelo.html" %}
{% load static %}

{% block info%}
{% endblock %}

{% block conteudo %}
<div class='container'>
<div class="tab-pane fade show my-2 p-2" id="profile" role="tabpanel" aria-labelledby="profile-tab">
    <h3  class="register-heading">Adicione Animal:</h3>

    <form action="{% url 'animalsform' %}"  method="POST" enctype="multipart/form-data"> {% csrf_token %} 
    <div class="row register-form">
        <div class="col-md-6">
            <div class="form-group my-2">
                <label for="{{ form.nome.id_for_label}}">{{ form.nome.label}}</label>
                <input type="text" class="form-control"  name="nome" />
            </div>
            <div class="form-group my-2">
                <label for="{{ form.coloracao.id_for_label}}">{{ form.coloracao.label}}</label>

                <input type="text" class="form-control" placeholder="" name="coloracao" />
            </div>
            <div class="form-group my-2">
                <label for="{{ form.raca.id_for_label}}">{{ form.raca.label}}</label>
                <input type="text" maxlength="100" minlength="3" class="form-control" placeholder="" name="raca" />
            </div>
            


        </div>
        <div class="col-md-6">

            <div class="form-group my-2">
                <label for="{{ form.especie.id_for_label }}">{{ form.especie.label }}</label>
                {{ form.especie }}
            </div>
        <div class="form-group my-2">
                {{ form.dono }}
            </div> 

            <label for="{{ form.genero.id_for_label}}">{{ form.genero.label}}:</label>
            <div class="form-check form-check-inline">
                <label class="form-check-label" for="inlineRadio1">Macho</label>
                <input class="form-check-input" type="radio" name="genero" id="genero" value="M">
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="genero" id="genero" value="F">
                <label class="form-check-label" for="inlineRadio2">Femea</label>
            </div>

            <div class="form-group my-2">
                <label for="{{ form.data_nasc.id_for_label}}">Data Nascimento</label>
                <input type="date" class="form-control" placeholder="" name="data_nasc" name="data_nasc" />
            </div>
            <div class="form-group my-2">
                <label for="{{ form.imagem.id_for_label}}">{{ form.imagem.label}}</label>
                {{form.imagem}}
            </div>
            
        </div>
        
        <button type="submit" class="btn w-100 btn-success"  value="Register"> Enviar </button>
    </form>
    </div>
</div>
</div>

{% endblock %}